module.exports = {
	log: {
		directory: () => {
			return global['__dirname'] + "/logs/"
		},
		filename: () => {
			return (new Date()).toISOString().substr(0, 10) + ".log"
		}
	},
	web: {
		host: "*",
		port: 8080,
		poweredBy: 'baseApp',
		rootUrl: '/', // '/', '/SSObaseApp'
		doubleSlashCheck: true, // replacing // with /
		sessionKey: require('crypto').randomBytes(32).toString('hex'),
		cookieKey: require('crypto').randomBytes(32).toString('hex'),
		rememberMeMaxAge: 1000*60*60 // two weeks (milliseconds*seconds*minutes)
	},
	sso: {
		authenticator: "http://localhost:8080/api/authenticate", // redirect back to this url;
		redirectUser: "https://auth.rxbn.de/authenticate", // sso service
		appId: "5bf5ab975f6e3f1b025105db", // app id
		appSecret: "qya8ICn2h29Zp6vAsrTpRA8SZhKnoNIg" // random token
	},
	app: {
		name: "testApp" // app name - check auth/views
	}
};
